Skip to main content
POST
Contract Amendment Create Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_uuid
string
required

UUID of the contract to amend

Body

application/json

Input schema for creating a contract amendment.

effective_date
string<date>
required

Date when the amendment becomes effective

Example:

"2024-06-01"

contract_summary
string | null

Summary of the amendment changes

Example:

"Updated pricing for Q3 2024"

contract_start_date
string<date> | null

New contract start date (if changing)

Example:

"2024-01-01"

contract_end_date
string<date> | null

New contract end date (if changing)

Example:

"2025-01-01"

contract_amount
number | null

Updated contract amount (if changing)

Example:

150000

payment_terms
enum<string> | null

Updated payment terms (if changing). Valid values: due upon receipt, net 3, net 7, net 15, net 30, net 45, net 60, net 90, net 120

Available options:
due upon receipt,
net 3,
net 7,
net 15,
net 30,
net 45,
net 60,
net 90,
net 120
Example:

"net 60"

Response

Amendment created successfully

Output schema for contract amendment.

original_contract_uuid
string<uuid>
required

UUID of the original contract

uuid
string<uuid>
effective_date
string<date> | null
effective_end_date
string<date> | null
status
string
default:pending
Maximum string length: 20
amendment_changes
Amendment Changes · object | null
summary
string | null